import { Result, ListResult, BatchResult, SingleResult } from "@codiac.io/codiac-common/contracts";
export declare function expectSuccessful(eventAttempted: string, result: Result): void;
export declare function expectSuccessfulSingleOutput<T>(eventAttempted: string, result: SingleResult<T>): void;
export declare function expectSuccessfulListOutput<T>(eventAttempted: string, result: ListResult<T>, expectedQty?: number): void;
export declare function expectSuccessfulBatchOutput<T>(eventAttempted: string, result: BatchResult<T>): void;
/** NOTE:  This method ensures that there is no error either. */
export declare function expectNoSingleOutput<T>(eventAttempted: string, result: SingleResult<T>): void;
/** NOTE:  This method ensures that there is no error either. */
export declare function expectNoListOutput<T>(eventAttempted: string, result: ListResult<T>): void;
/** NOTE:  This method does NOT check for result.error. */
export declare function expectBatchFailure<T>(eventAttempted: string, result: BatchResult<T>): void;
/** NOTE:  This method does NOT check for null output. */
export declare function expectError<T>(eventAttempted: string, result: Result): void;
